<template>
  <v-app :dark="darkTheme">
    <drawer></drawer>
    <v-app-bar app color="primary" :dark="true">
      <v-app-bar-nav-icon @click="toggleDrawer()"></v-app-bar-nav-icon>
      <v-toolbar-title class="headline">
        <v-spacer></v-spacer>
        <span class="font-weight-light">{{ pageTitle }}</span>
      </v-toolbar-title>
    </v-app-bar>

    <v-content>
      <router-view />
    </v-content>
  </v-app>
</template>

<script>
import drawer from './drawer'

export default {
  name: 'Layout',
  components: {
    drawer
  },
  computed: {
    darkTheme: {
      get() {
        return this.$store.state.darkTheme
      }
    },
    pageTitle: {
      get() {
        return this.$store.state.pageTitle
      }
    }
  },
  methods: {
    toggleDrawer() {
      this.$store.commit('toggleDrawer')
    }
  }
}
</script>

<style lang="scss">
body {
  background-color: #554100;
}
</style>
